//
//  IdeaViewController.h
//  dreamToGoals
//
//  Created by Nathan Fair on 5/11/11.
//  Copyright 2011 computer science undergraduate association. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Idea.h"


@interface IdeaViewController : UIViewController <UINavigationControllerDelegate, UITextFieldDelegate, UITextViewDelegate> {
	Idea * idea;
	// the managedObjectContext will be passed in rather than a completed 'idea' object so that no object will be added to the 
	// parent tableview unless we have something real to add ie an idea with a subject and or description
	Notes * note;
	NSManagedObjectContext * managedObjectContext;
	
	UITextView * subject;
	UITextView * body;
	
	UIBarButtonItem * doneButton;

}

@property (nonatomic, retain) Idea * idea;
@property (nonatomic, retain) Notes * note;
@property (nonatomic, retain) NSManagedObjectContext * managedObjectContext;
@property (nonatomic, retain) IBOutlet UITextView * subject;
@property (nonatomic, retain) IBOutlet UITextView * body;

@property (nonatomic, retain) UIBarButtonItem * doneButton;


- (void) stopBodyEdit;
@end
